
Figure - Bug #118437
【DVT】【AF】【LC】【必现】在设置界面修改蓝牙键盘和鼠标设备名称，设置闪退
2023-06-01 19:33 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2023-06-01

Priority: High Due date:

Assignee: SZTS_TEST 邹涛 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: ro.build.display.vc1.id]: [01.00.0106.C104]

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-05

Test Type: Free Test Root cause: 蓝牙名称长度限制调整后，旧数据导致的异常。

Description

前置条件：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

操作步骤：打开设置-已连接的蓝牙设备-其他设备，修改鼠标和键盘的蓝牙设备名称

预期结果：设置闪退

实际结果：可成功修改蓝牙设备名

History

#1 - 2023-06-01 19:43 - SZTS_TEST 邹涛

- File tlog_35f43216_000166_1111002032.tar - 副本.gz added

- File tlog_35f43216_000166_1111002032.tar.gz added

- File tlog_35f43216_000166_1111002629.tar.gz added

- File tlog_35f43216_000166_1111004313.tar.gz added

- File tlog_35f43216_000166_1111004559.tar.gz added

- File tlog_35f43216_000169_1111010149.tar.gz added

- File tlog_35f43216_000173_1111023055.tar.gz added

- File tlog_35f43216_000173_1111025055.tar.gz added

#2 - 2023-06-01 19:45 - SZTS_TEST 邹涛

- File deleted (tlog_35f43216_000166_1111002032.tar - 副本.gz)

#3 - 2023-06-01 23:07 - CDTS-TEST 周婷

- Category set to LC

#4 - 2023-06-02 16:57 - 短距组_SSRDCNJ 蒋俊杰

06-01 01:38:51.844  2419  2419 D AndroidRuntime: Shutting down VM

06-01 01:38:51.845  2419  2419 E AndroidRuntime: FATAL EXCEPTION: main

06-01 01:38:51.845  2419  2419 E AndroidRuntime: Process: com.qualcomm.qti.devicestatisticsservice, PID: 2419

06-01 01:38:51.845  2419  2419 E AndroidRuntime: java.lang.NoClassDefFoundError: Failed resolution of: Landroid/hidl/manager/V1_0/IServiceNotification$Stub;

06-01 01:38:51.845  2419  2419 E AndroidRuntime:     at com.qualcomm.qti.devicestatisticsservice.DeviceStatisticsService.onStartCommand(DeviceStatisticsService.java:83)

06-01 01:38:51.845  2419  2419 E AndroidRuntime:     at android.app.ActivityThread.handleServiceArgs(ActivityThread.java:4640)

06-01 01:38:51.845  2419  2419 E AndroidRuntime:     at android.app.ActivityThread.access$2000(ActivityThread.java:248)

06-01 01:38:51.845  2419  2419 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2092)

06-01 01:38:51.845  2419  2419 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

06-01 01:38:51.845  2419  2419 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

06-01 01:38:51.845  2419  2419 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

06-01 01:38:51.845  2419  2419 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)
06-01 01:38:51.845  2419  2419 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

06-01 01:38:51.845  2419  2419 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

06-01 01:38:51.845  2419  2419 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

06-01 01:38:51.845  2419  2419 E AndroidRuntime: Caused by: java.lang.ClassNotFoundException: android.hidl.manager.V1_0.IServiceNotification$Stub

06-01 01:38:51.845  2419  2419 E AndroidRuntime:     ... 11 more

未明确crash时间点，日志记录时间段未看到com.android.bluetooth进程crash。系统出现crash。

【结论】:非蓝牙测问题

【下一步计划】:测试确认crash具体时间点，设置或系统模块继续分析

#5 - 2023-06-05 11:12 - CD LC涂宇

- Status changed from New to ASSIGNED

#6 - 2023-06-05 16:45 - 短距组_SSRDCNJ 蒋俊杰

- Assignee changed from CD LC 陶洪普 to CD APP-王营

#7 - 2023-06-05 19:48 - CDTS-TEST 周婷

- Assignee changed from CD APP-王营 to CD FW-廖涛

#8 - 2023-06-05 21:07 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204874 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix crash problem when change bluetooth device name.TC-RID: 1201-0201801IssueID: TS-R-BUG-118437Change-Id:

I82ea38bb392b924ee158e594615b6415647553aa

#9 - 2023-06-05 21:11 - CD FW-廖涛

- Category changed from LC to CD-FW

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to SZTS_TEST 邹涛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-05

- Root cause set to 蓝牙名称长度限制调整后，旧数据导致的异常。

■ Current conclusion

已处理，代码已入库。

■ My analysis

蓝牙名称长度限制调整后，旧数据导致的异常。已做兼容处理。

■ Next action

测试验证。
#10 - 2023-06-06 17:35 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在01.00.0108.C104版本验证通过

#11 - 2023-06-06 17:35 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

Files

tlog_35f43216_000166_1111002032.tar.gz 8.13 MB 2023-06-01 SZTS_TEST 邹涛

tlog_35f43216_000166_1111002629.tar.gz 8.37 MB 2023-06-01 SZTS_TEST 邹涛

tlog_35f43216_000166_1111004313.tar.gz 8.79 MB 2023-06-01 SZTS_TEST 邹涛

tlog_35f43216_000166_1111004559.tar.gz 9.42 MB 2023-06-01 SZTS_TEST 邹涛

tlog_35f43216_000169_1111010149.tar.gz 17.9 MB 2023-06-01 SZTS_TEST 邹涛

tlog_35f43216_000173_1111023055.tar.gz 27.2 MB 2023-06-01 SZTS_TEST 邹涛

tlog_35f43216_000173_1111025055.tar.gz 28.7 MB 2023-06-01 SZTS_TEST 邹涛
